#ifndef _CONSTRUCTION_H
#define _CONSTRUCTION_H

#include<structures.h>
#include<global_fonctions.h>


Noeud *Construction_Arbre(unsigned char *S,int taille_fenetre);

void Premiere_Phase(Noeud *Racine,
		    int taille_fenetre,
		    Liste **debut_liste,
		    Liste **fin_liste,
		    Noeud **fin_liste_pere,
		    int *nb_element_liste,
		    int start_indice);

int  Deuxieme_Phase(Noeud *Racine,
		    int taille_fenetre,
		    Liste **debut_liste,
		    Liste **fin_liste,
		    Noeud **fin_liste_pere,
		    int *nb_element_liste,
		    int start_indice,
		    int fict,
		    int ini_res_type);

void Troisieme_Phase(Noeud *Racine,
		     int taille_fenetre,
		     Liste **debut_liste,
		     Liste **fin_liste,
		     Noeud **fin_liste_pere,
		     int *nb_element_liste,
		     int fictive);

Noeud *AjouteSequence(Noeud *Arbre,unsigned char *S,int taille_fenetre);

void CloseTheFirstPhase( Liste **debut_liste,
			 Liste **fin_liste,
			 Noeud **fin_liste_pere);


Noeud *CaseOneAddSequence(Noeud *Arbre,int taille_fenetre);

Noeud *CaseTwoAddSequence(Noeud *Arbre,Noeud *resultat, Noeud *pere,int taille_fenetre);

Noeud *CaseTreeAddSequence(Noeud *Arbre,Noeud *resultat,int deb,int fin,int taille_fenetre);

Noeud *CaseFourAddSequence(Noeud *Arbre,Noeud *resultat,Noeud *pere,int res_type,int position_arc,int i,int taille_fenetre);




#if DEBUG_JTREE
extern int nb_alloc_noeud;
extern int nb_alloc_feuille;
extern int nb_alloc_liste;
#endif

#endif
