#ifndef _SPELL_H
#define _SPELL_H

#include <stdio.h>
#include <stdlib.h>
#include <sys/times.h>
#include <unistd.h>
#include <time.h>
#include <math.h>

#include <global.h>
#include <criteres.h>
#include <occ.h>
#include <libfasta.h>
#include <pile_occ.h>
#include <model.h>
#include <struct_tab.h>
#include <bit_tab.h>
#include <liste_pos.h>
#include <construction.h>
#include <allocateurs.h>
#include <barre.h>
#include <alphabet.h>

/* Grain d'allocation des sequences Fasta */
#define GRAINSEQ 500

/******************************************************************************/
/* 							PROTOTYPES PUBLICS                                */
/******************************************************************************/
void   /* explore les modeles */
doSpell(P_Criteres, NbSeq, Noeud *);

#endif
