#ifndef _OCC_H
#define _OCC_H

#include<structures.h>

/* Structure de maillon d'une liste d'occurrences             */
typedef struct liste_occ {
    Noeud *             x;      /* noeud de depart de l'etat virtuel */
    LongSeq             lon;    /* longueur sur la transition        */
    LongSeq             xerr;   /* nb total d'erreurs de l'occurrence      */
    LongSeq             saut;   /* longueur totale de saut */
    LongSeq             blocerr;/* erreurs du bloc courant */
    int                 codesaut; /* code indiquant les != sauts empruntes */
    int                 num;    /* numero de la transition           */
    } Occ, *P_occ;

void    initOcc(P_occ);

#endif
