#ifndef _PILE_OCC_H
#define _PILE_OCC_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <limits.h>
#include <global.h>
#include <occ.h>
#include <liste_pos.h>

/* Grain du tableau des occurrences                                           */
#define GRAIN 2000

typedef struct struct_pile_occ
	{
	Occ				*occ;
/* Carte des positions des 'dummy'                                            */
	unsigned int	*carte;
/* Position courante dans carte                                               */
	unsigned int	pos_carte;
	unsigned int	size_carte;
	unsigned int	size;
	int				pos;
	} PileOcc, *P_PileOcc;


/******************************************************************************/
/* FONCTIONS PUBLIQUES                                                        */
/******************************************************************************/
P_PileOcc	creePileOcc(void);
void		ajouteDummy(P_PileOcc);
LongSeq 	getPrecDummy(P_PileOcc);
void		ajouteInitOcc2Pile(P_PileOcc, Noeud *); 
void		ajouteOcc2Pile(P_PileOcc, Noeud *, int,LongSeq,LongSeq ,LongSeq,
				LongSeq, int);
void		transferePile2Pile(P_PileOcc, P_PileOcc);
int			copieLastOcc(P_PileOcc, P_PileOcc);
void		depileRec(P_PileOcc);
void		videPile(P_PileOcc);
void		liberePileOcc(P_PileOcc);

#if OCC
void		afficheLastOcc(FILE *f, P_PileOcc, LongSeq l, P_Criteres cr,
                unsigned int *nboccex);
#endif


#if DEBUG_BASE
int			afficheOcc(FILE *f, P_occ o, LongSeq longmod, P_Criteres cr);
void		afficheOldOcc(P_PileOcc p, LongSeq l);
void		affichePileOcc(P_PileOcc);
#endif

#endif
