#ifndef _STRUCTURES_H
#define _STRUCTURES_H

#include<define.h>
#include<struct_tab.h>
#include<global.h>

typedef struct _Liste_Pos
{
  int *tab[2];
  int last_cell;
  int tab_size;
} ListePositions;

typedef struct _Noeud /* Ne pas changer l'ordre des 3 premiers champs! */
{
  LongSeq debut;
  NbSeq sequence_number;
  LongSeq fin;
  struct _Noeud *suffixe_link;
  struct _Noeud  **fils;
  Bit_Tab *sequences;
  int nb_element_bt;
}Noeud;

typedef struct _Feuille /* Ne pas changer l'ordre des 3 premiers champs! */
{
  LongSeq debut;
  NbSeq sequence_number;
  LongSeq fin_deb;
  Bit_Tab *sequences;
}Feuille;

typedef struct _Liste
{
  struct _Liste *suiv;
  Feuille *feuille;
} Liste;



extern unsigned char Translation_Table[255];

extern unsigned char **Sequence;
extern ListePositions *Liste_positions_fin;

extern int global_indice;
extern int current_sequence;

#endif
