#ifndef MOT_H
#define MOT_H

/******************************************************************************/
/* STRUCTURES                                                                 */
/******************************************************************************/
typedef struct struct_mot
    {
    char    *mot;
    char    *codes;
    float   quorum_reel;
    float   khi2;
    float   moyenne_shuffle;        /* sigstat */
    float   zscore;                 /* sigstat */
    float   sigma;                  /* sigstat */
    unsigned int    nbseq_vrai;
    unsigned int    nbseq_faux;     /* faux */
#if OCC
    unsigned int    nboccex_vrai;
    unsigned int    nboccex_faux;   /* faux */
    float   moyenne_shuffle_occ;     /* sigstat */
    float   khi2_occ;
    float   zscore_occ;             /* sigstat */
    float   sigma_occ;              /* sigstat */
    char    sign_occ;               /* faux */
#endif
    char    sign;                   /* faux */
    } Mot;


#endif

