#ifndef _MODEL_INCLUDE
#define _MODEL_INCLUDE

#include <stdlib.h>
#include <global.h>

/* Structure de stockage d'un modele                          */

typedef struct model {
    int     *name;      /* Sequence du modele (codes allphabets) */
    LongSeq lon;        /* Taille du modele stocke dans name */
    LongSeq taille;     /* Taille de name */
    } Mod, *P_mod;


/* FONCTIONS */
/* allouer un modele */
P_mod   allocModel(void);

/* diminuer la taille d'un modele de 1 */
void    decrModel(P_mod);

/* ajoute un symbole au modele */
void    changeModel(P_mod , int);

/* Affiche le modele                                                           */
void AfficheModel(P_mod);


#endif

