/******************************************************************************/
/* ALPHABET - Gestion des alphabets de SMILEv1.4                              */
/******************************************************************************/

#ifndef _ALPHABET
#define _ALPHABET

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include <global.h>

#define equiv(i,j)  TabSymb[i][j]
#define MAXSYMBMOD  127

/******************************************************************************/
/* TYPES ABSTRAITS                                                            */
/******************************************************************************/
typedef unsigned char Symbole;

/******************************************************************************/
/* STRUCTURES                                                                 */
/******************************************************************************/




/******************************************************************************/
/* PROTOTYPES                                                                 */
/******************************************************************************/
void        initAlphabet(void);
Symbole *   chargeAlphaSeq(Symbole **seq, NbSeq nbseq, char *alphaseq);
void        chargeAlphaMod(FILE *f);
int         str2nummod(char *str);
/* void        transAlphMod(void); */

#endif


