#ifndef _BARRE_
#define _BARRE_

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define CHARBARRE   '.'
#define MAXCOL      60      /* Nombre de colonnes de la barre */

/******************************************************************************
  barre permet d'afficher une barre d'etat lors d'un calcul progressif.
  Le premier appel se fait en donnant le nombre d'etats a franchir
  avant d'atteindre les 100%. La fonction est alors initialisee.
  Ensuite il suffit de l'appeler avec la valeur 0, le nombre de
  fois annonc.
  Sortie sur stderr.
  MAXCOL permet de definir la taille de la barre. Mis a 0 la barre est
  desactivee pour ne laisser que le temps et le pourcentage.
*******************************************************************************/
void    barre(int);

#endif

